### Function

# Cogl OutputCallback

#### Declaration

    void
    (* CoglOutputCallback) (
      CoglOutput* output,
      void* user_data
    )

#### Description [src]

A callback type that can be passed to `cogl_renderer_foreach_output()` for iterating display outputs for a given renderer.

#### Parameters

`output`

  Type: `CoglOutput`

  The current display output being iterated.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  The user pointer passed to cogl_renderer_foreach_output().

  The argument can be `NULL`.
  The data is owned by the caller of the function.